Issue for bi_general_ledger_filter (#1,441)
Status: OPEN
Date: 22/06/2021
ID: 1,441
S/O number: SO2021/1419706
Reviewer: Hiral Bhatt
Module Name: bi_general_ledger_filter
Version: 14.0
Tags:

Assigned to
Contact
Disha Boghara
disha.boghara@browseinfo.in

Description
Hi Guys,

I installed the app but when running the report "Detailed General Ledger" it raises an error:

Error:

Odoo Server Error



Traceback (most recent call last):

File "/home/odoo/src/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

result = request.dispatch()

File "/home/odoo/src/odoo/odoo/http.py", line 683, in dispatch

result = self._call_function(**self.params)

File "/home/odoo/src/odoo/odoo/http.py", line 359, in _call_function

return checked_call(self.db, *args, **kwargs)

File "/home/odoo/src/odoo/odoo/service/model.py", line 94, in wrapper

return f(dbname, *args, **kwargs)

File "/home/odoo/src/odoo/odoo/http.py", line 347, in checked_call

result = self.endpoint(*a, **kw)

File "/home/odoo/src/odoo/odoo/http.py", line 912, in __call__

return self.method(*args, **kw)

File "/home/odoo/src/odoo/odoo/http.py", line 531, in response_wrap

response = f(*args, **kw)

File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 1389, in call_kw

return self._call_kw(model, method, args, kwargs)

File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 1381, in _call_kw

return call_kw(request.env[model], method, args, kwargs)

File "/home/odoo/src/odoo/odoo/api.py", line 396, in call_kw

result = _call_kw_multi(method, model, args, kwargs)

File "/home/odoo/src/odoo/odoo/api.py", line 383, in _call_kw_multi

result = method(recs, *args, **kwargs)

File "/home/odoo/src/user/bi_general_ledger_filter/models/inherited_account_reports.py", line 116, in get_report_informations

options = self._get_options(options)

File "/home/odoo/src/user/bi_general_ledger_filter/models/inherited_account_reports.py", line 59, in _get_options

self._init_filter_date(options, previous_options=previous_options)

File "/home/odoo/src/enterprise/account_reports/models/account_report.py", line 286, in _init_filter_date

options_mode = self.filter_date['mode']

Exception



The above exception was the direct cause of the following exception:



Traceback (most recent call last):

File "/home/odoo/src/odoo/odoo/http.py", line 639, in _handle_exception

return super(JsonRequest, self)._handle_exception(exception)

File "/home/odoo/src/odoo/odoo/http.py", line 315, in _handle_exception

raise exception.with_traceback(None) from new_cause

KeyError: 'mode'





Could you check this out please?

Message and communication history